package cologne.eck.all_peas.gui;

import java.awt.Color;

import javax.swing.BorderFactory;
import javax.swing.border.Border;
import javax.swing.border.CompoundBorder;
import javax.swing.border.EtchedBorder;

import cologne.eck.all_peas.data.PeaProperties;


public class PeaBorderFactory {
	

	private static Border buttonBorder = BorderFactory.createCompoundBorder(
			BorderFactory.createEtchedBorder(EtchedBorder.RAISED),
			//BorderFactory.createRaisedBevelBorder(),
			 BorderFactory.createEmptyBorder(5, 10, 5, 10));

	/**
	 * Create the default pea border, a CounpoundBorder with three borders
	 * (dark, bright, peaColor) for frames and dialogs. 
	 * 
	 * @param withMenu	true, if the border is used for a window with menu 
	 * 					(top and left borders are thinner then)
	 * @return			the CompoundBorder with three borders
	 */
	public static CompoundBorder createBorder(boolean withMenu) {
		
		CompoundBorder threeBorder;
		Color darkColor = PeaProperties.getCipherPeaColor().darker();
		Color plainColor = PeaProperties.getPlainPeaColor();
		
		if (withMenu == true) {
			
			Border compoundBorder = BorderFactory.createCompoundBorder(
					BorderFactory.createMatteBorder(1,1,1,1, darkColor),//new Color(160, 178, 162)),
					BorderFactory.createMatteBorder(3,3,3,3, plainColor)//new Color(242, 255, 243)) 
							);
			threeBorder = BorderFactory.createCompoundBorder(
					compoundBorder,
					BorderFactory.createMatteBorder(3,3,3,3, PeaProperties.getCipherPeaColor())//PswDialogView.getPeaColor())
							);
		} else {
			Border compoundBorder = BorderFactory.createCompoundBorder(
					BorderFactory.createMatteBorder(1,1,1,1, darkColor),//new Color(160, 178, 162)),
					BorderFactory.createMatteBorder(3,3,3,3, plainColor)//new Color(242, 255, 243)) 
							);
			threeBorder = BorderFactory.createCompoundBorder(
					compoundBorder,
					BorderFactory.createMatteBorder(3,3,3,3, PeaProperties.getPeaColor())//PswDialogView.getPeaColor())
							);			
		}
		return threeBorder;
	}
	
	public static Border getButtonBorder() {
		return buttonBorder;
	}
}